Subject: bug#27636: /dev/kvm went missing on i686, Linux 4.12

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 18 Jul 2017 22:09:36 +0200

Mark H Weaver <[email-masked]> writes:

> When you looked for "kvm" or "KVM", did your kernel message buffer still
> include the initial boot messages?  The kernel message buffer is of a
> fixed size, so eventually the early messages are lost.

I ran it immediately after booting 4.12.

> I'm fairly sure that I've seen /dev/kvm on this machine in the past.  It
> might be that in earlier versions of Linux, /dev/kvm was created even
> when it couldn't be used, and now it's created only conditionally, but
> that's only a guess.

I have seen it in the past as well.  It is only with 4.12 that /dev/kvm
is gone.  I have installed 4.9 on this machine and /dev/kvm exists.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net